## org.eclipse.emf.ecore.resource.impl
Class BinaryResourceImpl.EObjectInputStream.EStructuralFeatureData

    java.lang.Object
      org.eclipse.emf.ecore.resource.impl.BinaryResourceImpl.EObjectInputStream.EStructuralFeatureData

Enclosing class:
  BinaryResourceImpl.EObjectInputStream

    protected static class BinaryResourceImpl.EObjectInputStream.EStructuralFeatureData

extends java.lang.Object

Field Summary
`EDataType` `eDataType`
`EFactory` `eFactory`
`EStructuralFeature` `eStructuralFeature`
`int` `featureID`
`BinaryResourceImpl.BinaryIO.FeatureKind` `kind`

Constructor Summary
`protected` `BinaryResourceImpl.EObjectInputStream.EStructuralFeatureData()`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### featureID

    public int featureID

### eStructuralFeature

    public EStructuralFeature eStructuralFeature

### kind

    public BinaryResourceImpl.BinaryIO.FeatureKind kind

### eFactory

    public EFactory eFactory

### eDataType

    public EDataType eDataType

Constructor Detail

### BinaryResourceImpl.EObjectInputStream.EStructuralFeatureData

    protected BinaryResourceImpl.EObjectInputStream.EStructuralFeatureData()

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.